Status: Closed   

Priority: Normal   

Category:    

Customer: AUDI Product Issue

Numbers:

 

Department: EF Affected Products: ADTF 3.3.1

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 2nd Level Topic: ADTF::CE

Resolution: Solved Issue FAQ Links:  

Description

Supportanfrage

Environment:

windows 7 x64 (tested on 2 PCs)

ADTF 3.3.1 conan Package from Audi CIP

example project from package

when running adtf_configuration_editor.exe from shell (cmd, conemu, ...) descriptions are not found and filters are red in

streaming/filter graph.

if adtf_configuration_editor is started from windows explorer, descriptions are found and filters loaded.

adtf_launcher.exe and adtf_guicontrol.exe are working from shell.

Lösung

Tritt in aktuellen Master nicht mehr auf, wird also mit ADTF 3.4.0 behoben sein.

History

#1 - 2018-12-13 16:42 - hidden

- Status changed from New to Customer Feedback Required

- Topic set to ADTF::CE

- Platform Windows 7 64bit added

Hallo Falk,

wenn Du den Configuration Editor (adtf_configuration_editor.exe) über die Shell/Kommandozeile aufrufst, musst Du beim Aufruf auch in dem

Verzeichnis selbst sein.

Also zum Beispiel: C:\ADTF\3.3.3\bin>adtf_configuration_editor.exe

Dies ist auch das Verhalten wenn der CE über den Windows Explorer aufgerufen wird.

Bitte keinen Aufruf von "ausserhalb" des Verzeichnisses ohne vorher in das Verzeichnis zu wechseln.

Bitte um kurzes Feedback ob damit das Problem gelöst ist.

Danke und Gruß

Matthias

#2 - 2018-12-13 18:05 - hidden

Hallo Matthias,

wenn ich es direkt aus dem Ordner starte, dann geht es tatsächlich.

Das ist im Conan-Context allerdings nicht ohne Weiteres möglich, da dort alle benötigten DLLs und EXEs der PATH-Variable über das virtualenv

hinzugefügt werden.

Auch bei ADTF2 war es eher der Normalfall, dass die ADTF-Executable von einem anderen Ordner aus gestartet wurde.
VG Falk

#3 - 2018-12-14 10:40 - hidden

- Status changed from Customer Feedback Required to In Progress

@Sebastian: Kannst Du hier etwas zum Conan-Context sagen?

#4 - 2018-12-17 15:55 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Falk,

das Problem tritt in neueren Versionen nicht mehr auf.

#5 - 2018-12-21 09:04 - hidden

- Project changed from 11 to Public Support

- Subject changed from [ADTF3 CE] Plugin and Pin Descriptions not found to Plugin and Pin Descriptions not found

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

#6 - 2019-01-18 10:16 - hidden

- Status changed from To Be Closed to Closed
